Page MenuHomePhabricator

[Story] edit summaries for Schemas
Closed, ResolvedPublic5 Story Points

Description

As an editor I want good edit summaries in order to understand the edit that was made.

Problem:
Currently there are a lot of fixme or nonsense edit summaries.

Example:
https://wikidata-shex.wmflabs.org/w/index.php?title=Schema:O1&diff=17&oldid=10

BDD
WHEN I edit a Schema
THEN I want to have a text input to add a meaningful edit summary
AND I want to see that summary in the history, recent changes, etc.

Acceptance criteria:

  • the text from that input is shown in the history, recent changes, etc.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2019, 9:00 AM
Lydia_Pintscher triaged this task as High priority.
Michael updated the task description. (Show Details)Feb 5 2019, 5:43 PM
  • implement translatable automatic summaries for editing labels/descriptions/aliases T214466
    • doesn’t have to detect which part was actually edited, at least not for now
  • implement translatable automatic summaries for editing schema text, in addition to custom summary (edited schema: bla bla)
    • add summary field to edit page

For now, this task is only about adding a summary field to the “edit” page (after the label/description/aliases fields have been removed there, see T214466). The automatic / translatable part is part of other tasks.

Lucas_Werkmeister_WMDE set the point value for this task to 5.Feb 6 2019, 10:18 AM
Lydia_Pintscher renamed this task from edit summaries for Schemas to [Story] edit summaries for Schemas.Feb 24 2019, 3:37 PM
hoo claimed this task.Feb 25 2019, 6:00 PM
hoo moved this task from Backlog to Doing on the Shape Expressions Sprint 3 board.

Change 494859 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/WikibaseSchema@master] Add edit summary field to SchemaEditAction

https://gerrit.wikimedia.org/r/494859

Change 494859 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/WikibaseSchema@master] Add edit summary field to SchemaEditAction

https://gerrit.wikimedia.org/r/494859

Change 494859 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add edit summary field to SchemaEditAction

https://gerrit.wikimedia.org/r/494859

hoo added a comment.Mar 25 2019, 1:33 PM

Shall we also do this for the special page in the "Message way" or don't we care?

I think we can skip that.

hoo removed hoo as the assignee of this task.
hoo added a subscriber: hoo.

Moving this to verification… done for now, the rest is T218893 and follow-ups.

Lydia_Pintscher closed this task as Resolved.Apr 1 2019, 9:18 AM
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 5 board.
Lydia_Pintscher claimed this task.

\o/